#!/usr/bin/env python
#
#	copyright ernesto bazzano - AGPLv3+
#	areas de seguridad para televisores 4:3 y socalos
#

import os
import sys
import xml.etree.ElementTree

# Open original file
et = xml.etree.ElementTree.parse(sys.argv[1])

new_tag = xml.etree.ElementTree.SubElement(et.getroot(), 'meta')
# guias los lados
new_tag.attrib['name'] = "guide_x"
# falta hacerlos a porcentage
a=(float(et.getroot().attrib['view-box'].split(" ")[2])-(float(et.getroot().attrib['view-box'].split(" ")[2])*1/3))*-1
b=float(et.getroot().attrib['view-box'].split(" ")[2])-(float(et.getroot().attrib['view-box'].split(" ")[2])*1/3)
new_tag.attrib['content'] = str(a)+" "+str(b);


# guias inferior y superior
new_tag = xml.etree.ElementTree.SubElement(et.getroot(), 'meta')
new_tag.attrib['name'] = "guide_y"
# falta hacerlos a porcentage
a=(float(et.getroot().attrib['view-box'].split(" ")[3])-(float(et.getroot().attrib['view-box'].split(" ")[3])*1/10))*-1
b=float(et.getroot().attrib['view-box'].split(" ")[3])-(float(et.getroot().attrib['view-box'].split(" ")[3])*1/10)
new_tag.attrib['content'] = str(a)+" "+str(b);

et.write(sys.argv[1]) 
